Package Details: sequencer64-git 0.93.4.r0.gb7ff3be-1

Git Clone URL: https://aur.archlinux.org/sequencer64-git.git (read-only)
Package Base: sequencer64-git
Description: A live-looping MIDI sequencer
Upstream URL: https://github.com/ahlstromcj/sequencer64.git
Keywords: sequencer
Licenses: GPL
Conflicts: sequencer64
Provides: sequencer64
Submitter: Gimmeapill
Maintainer: daniel.appelt
Last Packager: daniel.appelt
Votes: 7
Popularity: 0.66
First Submitted: 2016-01-07 18:18
Last Updated: 2017-10-22 15:59

Required by (0)

Sources (1)

Latest Comments

logicgate commented on 2018-03-09 21:52

@milkmiruku - Thanks for your comment; I learned something today. I've updated and unflagged the package.

milk commented on 2018-03-04 11:53

logicgate: this is a -git vcs package, so the version updates dynamically when you build it (or updates here when maintainer runs a makepkg then uploads the updated PKGBUILD)

==> Starting pkgver()...
==> Updated version: sequencer64-git 0.94.5.r10.gd1114c60-1
==> Starting build()...

daniel.appelt commented on 2017-10-22 16:41

The current update should fix the build problems. Please note that the executable's name is "seq64".

daniel.appelt commented on 2017-10-20 14:46

Thanks for your reports TeePee420 and thetotalchaos. I am investigating the problem. The package now requires autoconf-archive to build - unfortunately the make script does not start any compilation though. The issues is currently being tracked here: https://github.com/ahlstromcj/sequencer64/issues/116

thetotalchaos commented on 2017-10-16 22:18

It failed to compile here as well :-(

==> Updated version: sequencer64-git 0.93.4.r0.gb7ff3be-1
==> Starting build()...
* Running project build command aclocal -I m4 --install
aclocal: installing 'm4/libtool.m4' from '/usr/share/aclocal/libtool.m4'
aclocal: installing 'm4/ltoptions.m4' from '/usr/share/aclocal/ltoptions.m4'
aclocal: installing 'm4/ltsugar.m4' from '/usr/share/aclocal/ltsugar.m4'
aclocal: installing 'm4/ltversion.m4' from '/usr/share/aclocal/ltversion.m4'
aclocal: installing 'm4/lt~obsolete.m4' from '/usr/share/aclocal/lt~obsolete.m4'
aclocal: overwriting 'm4/pkg.m4' with '/usr/share/aclocal/pkg.m4'
* Running project build command autoconf
configure.ac:130: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
? [run_cmd] The bootstrap command failed!

Run this script with the --help option for more information.

==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build sequencer64-git.

TeePee420 commented on 2017-10-02 10:06

Build failed with:

* Running project build command aclocal -I m4 --install
aclocal: installing 'm4/libtool.m4' from '/usr/share/aclocal/libtool.m4'
aclocal: installing 'm4/ltoptions.m4' from '/usr/share/aclocal/ltoptions.m4'
aclocal: installing 'm4/ltsugar.m4' from '/usr/share/aclocal/ltsugar.m4'
aclocal: installing 'm4/ltversion.m4' from '/usr/share/aclocal/ltversion.m4'
aclocal: installing 'm4/lt~obsolete.m4' from '/usr/share/aclocal/lt~obsolete.m4'
aclocal: overwriting 'm4/pkg.m4' with '/usr/share/aclocal/pkg.m4'
* Running project build command autoconf
configure.ac:130: error: possibly undefined macro: AC_MSG_ERROR
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
? [run_cmd] The bootstrap command failed!

daniel.appelt commented on 2016-05-12 15:51

Thanks for your comment svictor! Up until recently, doxygen and texlive were part of a regular make in order to create sequencer64's reference manual. The make process was only changed in the latest commit upstream. I will adapt the PKGBUILD accordingly in the following days..

svictor commented on 2016-05-12 15:12

texlive-bin is listed in the build dependencies, and it's quite a "heavy" one. The package builds just as well without it. What is it needed for?